## ros-foxy-rcl-lifecycle 1.1.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rcl_lifecycle)

find_package(ament_cmake_ros REQUIRED)

find_package(lifecycle_msgs REQUIRED)
find_package(rcl REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rosidl_runtime_c REQUIRED)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(rcl_lifecycle_sources
  src/com_interface.c
  src/default_state_machine.c
  src/rcl_lifecycle.c
  src/transition_map.c
)
set_source_files_properties(
  ${rcl_lifecycle_sources}
  PROPERTIES language "C")

### C-Library depending only on RCL
add_library(
  ${PROJECT_NAME}
  ${rcl_lifecycle_sources})

target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")

# specific order: dependents before dependencies
ament_target_dependencies(rcl_lifecycle
  "lifecycle_msgs"
  "rcl"
  "rcutils"
  "rosidl_runtime_c"
)

rcl_set_symbol_visibility_hidden(${PROJECT_NAME} LANGUAGE "C")
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(rcl_lifecycle PRIVATE "RCL_LIFECYCLE_BUILDING_DLL")

if(BUILD_TESTING AND NOT RCUTILS_DISABLE_FAULT_INJECTION)
  target_compile_definitions(${PROJECT_NAME} PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
endif()

install(TARGETS rcl_lifecycle EXPORT rcl_lifecycle
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(rcl REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)
  ament_lint_auto_find_test_dependencies()

  # Gtests
  ament_add_gtest(test_default_state_machine
    test/test_default_state_machine.cpp
  )
  if(TARGET test_default_state_machine)
    ament_target_dependencies(test_default_state_machine
      "rcl"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_default_state_machine ${PROJECT_NAME})
    target_compile_definitions(test_default_state_machine
      PUBLIC RCUTILS_ENABLE_FAULT_INJECTION
    )
  endif()
  ament_add_gtest(test_multiple_instances
    test/test_multiple_instances.cpp
  )
  if(TARGET test_multiple_instances)
    ament_target_dependencies(test_multiple_instances
      "rcl"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_multiple_instances ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_rcl_lifecycle
    test/test_rcl_lifecycle.cpp
  )
  if(TARGET test_rcl_lifecycle)
    ament_target_dependencies(test_rcl_lifecycle
      "rcl"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_rcl_lifecycle ${PROJECT_NAME})
    target_compile_definitions(test_rcl_lifecycle
      PUBLIC RCUTILS_ENABLE_FAULT_INJECTION
    )
  endif()
  ament_add_gtest(test_transition_map
    test/test_transition_map.cpp
  )
  if(TARGET test_transition_map)
    ament_target_dependencies(test_transition_map
      "rcl"
    )
    target_link_libraries(test_transition_map ${PROJECT_NAME})
  endif()
endif()

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME})
ament_export_dependencies(ament_cmake)
ament_export_dependencies(lifecycle_msgs)
ament_export_dependencies(rcl)
ament_export_dependencies(rcutils)
ament_export_dependencies(rosidl_runtime_c)
ament_package()

install(
  DIRECTORY include/
  DESTINATION include)

=== debian/changelog ===
ros-foxy-rcl-lifecycle (1.1.14-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 25 Jul 2022 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.13-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 04 Feb 2022 08:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.12-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.11-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#910 <https://github.com/ros2/rcl/issues/910>)
  * Contributors: Simon Honigmann

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.10-1focal) focal; urgency=high

  * Update build.ros2.org links (#868 <https://github.com/ros2/rcl/issues/868>)
  * Update QD to QL 1 (#867 <https://github.com/ros2/rcl/issues/867>)
  * Update QD (#843 <https://github.com/ros2/rcl/issues/843>)
  * Contributors: Alejandro Hernández Cordero, Christophe Bedard, Jorge Perez, Stephen Brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 09 Dec 2020 08:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.9-1focal) focal; urgency=high

  * Make sure to always check return values. (#840 <https://github.com/ros2/rcl/issues/840>)
  * Make sure to check the return value of rcl APIs. (#838 <https://github.com/ros2/rcl/issues/838>)
  * Fix test_rcl_lifecycle (#788 <https://github.com/ros2/rcl/issues/788>)
  * Add fault injection macros and unit tests to rcl_lifecycle (#731 <https://github.com/ros2/rcl/issues/731>)
  * Contributors: Chris Lalancette, brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 03 Nov 2020 08:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.8-1focal) focal; urgency=high

  * Set transition_map->states/transition size to 0 on fini (#729 <https://github.com/ros2/rcl/issues/729>) (#821 <https://github.com/ros2/rcl/issues/821>)
  * Topic fix rcl lifecycle test issue (#715 <https://github.com/ros2/rcl/issues/715>) (#796 <https://github.com/ros2/rcl/issues/796>)
  * Remove std::cout line from test_rcl_lifecycle.cpp (#773 <https://github.com/ros2/rcl/issues/773>) (#774 <https://github.com/ros2/rcl/issues/774>)
  * Contributors: Shane Loretz, Stephen Brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 07 Oct 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.7-1focal) focal; urgency=high

  * Removed doxygen warnings (#712 <https://github.com/ros2/rcl/issues/712>) (#724 <https://github.com/ros2/rcl/issues/724>)
  * Contributors: Alejandro Hernández Cordero

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 03 Aug 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 07 Jul 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.3-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#661 <https://github.com/ros2/rcl/issues/661>)
  * Contributors: Chris Lalancette

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.2-1focal) focal; urgency=high

  * Allow transition start and goal states to be null (#662 <https://github.com/ros2/rcl/issues/662>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 28 May 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.1-1focal) focal; urgency=high

  * Increase rcl_lifecycle test coverage and add more safety checks (#649 <https://github.com/ros2/rcl/issues/649>)
  * Contributors: Stephen Brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.0-1focal) focal; urgency=high

  * Update Quality Declaration for 1.0 (#647 <https://github.com/ros2/rcl/issues/647>)
  * Contributors: brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 22 May 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.0.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (0.9.1-1focal) focal; urgency=high

  * Included features (#644 <https://github.com/ros2/rcl/issues/644>)
  * Quality Declarations for rcl_action, rcl_lifecycle, yaml_parser (#641 <https://github.com/ros2/rcl/issues/641>)
  * Contributors: Alejandro Hernández Cordero, Stephen Brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (0.9.0-1focal) focal; urgency=high

  * Added rcl_lifecycle Doxyfile (#633 <https://github.com/ros2/rcl/issues/633>)
  * Export targets in a addition to include directories / libraries (#635 <https://github.com/ros2/rcl/issues/635>)
  * Added documentation (#622 <https://github.com/ros2/rcl/issues/622>)
  * Fixed argument name in rcl_lifecycle.h (#626 <https://github.com/ros2/rcl/issues/626>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#616 <https://github.com/ros2/rcl/issues/616>)
  * Changed rosidl_generator_c/cpp to rosidl_runtime_c/cpp (#588 <https://github.com/ros2/rcl/issues/588>)
  * Removed rmw_implementation from package.xml (#575 <https://github.com/ros2/rcl/issues/575>)
  * Code style only: wrap after open parenthesis if not in one line (#565 <https://github.com/ros2/rcl/issues/565>)
  * Free valid_transitions for all states (#537 <https://github.com/ros2/rcl/issues/537>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Víctor Mayoral Vilches

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (0.8.3-1focal) focal; urgency=high





=== debian/control ===
Source: ros-foxy-rcl-lifecycle
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-lifecycle-msgs, ros-foxy-osrf-testing-tools-cpp, ros-foxy-rcl, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rosidl-runtime-c, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rcl-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-lifecycle-msgs, ros-foxy-rcl, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rosidl-runtime-c, ros-foxy-ros-workspace
Description: Package containing a C-based lifecycle implementation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rcl-lifecycle//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
